Global Entity Matcher (GEM)

Get storage details

Request access

Purpose

Retrieve detailed information about a specific private data storage location.

Request data

HTTP method: GET

  • Constants and parameters enclosed in curly brackets {} must be replaced with their values.
  • See the following Path parameters section with the required and optional parameters tables for these values.

URL format

get
URL format
https://api.tomtom.com/maps/orbis/platform/private-gateway/storages/{id}

URL example

get
URL example
https://api.tomtom.com/maps/orbis/platform/private-gateway/storages/f47ac10b-58cc-4372-a567-0e02b2c3d479

curl command example

get
curl command example
curl -X GET "https://api.tomtom.com/maps/orbis/platform/private-gateway/storages/f47ac10b-58cc-4372-a567-0e02b2c3d479" \
-H "tomtom-api-key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_AUTH_TOKEN"

Request headers

HeaderRequiredDescription
tomtom-api-keyYesYour TomTom API key
AuthorizationYesBearer token from Azure CLI

Path parameters

ParameterTypeRequiredDescription
idstring (uuid)YesThe unique identifier of the storage

Response data

Response example

{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"url": "https://mystorageaccount001.blob.core.windows.net/default/",
"type": "AZURE_BLOB_STORAGE"
}

Response fields

FieldTypeDescription
idstring (uuid)Unique identifier for the storage
urlstringURL of the storage. The host name starts with the storage account name used in Azure CLI commands. Files are stored in the default container.
typestringType of storage, supported values: AZURE_BLOB_STORAGE

Error responses

HTTP StatusErrorCauseSolution
401UnauthorizedInvalid credentialsRefresh API key or token
403ForbiddenCaller lacks read permission on this storageCheck your access rights
404Not FoundStorage not foundVerify storage ID
500Internal Server ErrorServer-side issueRetry the request